'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sendConsents = exports.getPurposesAndVendors = exports.getConsentStatus = undefined;

var _GetConsentStatusUseCase = require('./GetConsentStatusUseCase');

var _GetPurposesAndVendorsUseCase = require('./GetPurposesAndVendorsUseCase');

var _SendConsentsUseCase = require('./SendConsentsUseCase');

var _cmpRepository = require('../repository/cmpRepository');

var repository = new _cmpRepository.CmpRepository();

var getConsentStatus = exports.getConsentStatus = new _GetConsentStatusUseCase.GetConsentStatusUseCase({ repository: repository });
var getPurposesAndVendors = exports.getPurposesAndVendors = new _GetPurposesAndVendorsUseCase.GetPurposesAndVendorsUseCase({
  repository: repository
});
var sendConsents = exports.sendConsents = new _SendConsentsUseCase.SendConsentsUseCase({ repository: repository });